const libs = `${process.cwd()}/libs`;
const log = require(`${libs}/log`)(module);
const execQuery = require(`${libs}/db/query_exec`);

function query(req, res, next) {
    log.debug(req.sql);
    execQuery(req.sql.text, req.sql.values).then((result) => {
        log.debug(result);
        req.result = result;
        next();
    }, (error) => {
        next(error);
    });
}

module.exports = query;
